Bug Hunting Session
Bug 58511 - EDITING: Cut fontwork object does not work
Summary: EDITING: Cut fontwork object does not work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting, needsDevEval, topicDebug
: 101840 (view as bug list)
Depends on:
Blocks: FontWork-WordArt Cut-Copy
  Show dependency treegraph
 
Reported: 2012-12-19 11:20 UTC by Rainer Bielefeld Retired
Modified: 2018-11-17 03:46 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (10.84 KB, application/vnd.oasis.opendocument.text)
2012-12-19 11:20 UTC, Rainer Bielefeld Retired
Details
bt on master (4.92 KB, text/plain)
2013-02-09 20:28 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-12-19 11:20:05 UTC
Created attachment 71797 [details]
Sample Document

Steps to reproduce with parallel installation of  "LOdev  4.0.0.0.beta1   -  GERMAN UI / German Locale  [Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7)]"  {tinderbox: @6, pull time 2012-12-06} on German WIN7 Home Premium (64bit) with separate /4 User Profile for Master Branch:
1. open attachment
2. click fontwork to select 
3. <control+x> for 'Cut'

Current behavior: Nothing happens
Expected behavior: Object disappears
Also will not work from men 'Edit' or from context menu
Wors fine in Calc and Draw.
Works fine in Writer for other Draw objects
Already in LibO 3.3, that never worked in LibO, is inherited from OOo. I was sure that we already have a report, but I can't find any.
              
Operating System: Windows 7
Version: 3.3.0 Beta2
Comment 1 Rainer Bielefeld Retired 2012-12-19 11:41:49 UTC
Works in other applications, so it should not be too difficult to fix that

NEW due to AOOo issue
Comment 2 Julien Nabet 2013-02-09 20:28:29 UTC
Created attachment 74508 [details]
bt on master

On pc Debian x86-64 with master sources updated today, I reproduced the problem.

I used "break __cxa_throw" in gdb and got the bt attached.
Comment 3 Joel Madero 2014-02-27 23:05:59 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 4 Robinson Tryon (qubit) 2015-12-14 06:13:20 UTC Comment hidden (obsolete)
Comment 5 Björn Michaelsen 2016-01-26 18:02:35 UTC
topicDebug is a Topic.
Comment 6 Björn Michaelsen 2016-01-26 18:04:57 UTC
Remove skillDebug, superceded by topicDebug.
Comment 7 c.bessiere 2016-02-12 09:28:56 UTC
The problem is the same with Writer 5.0.4.2
Comment 8 Buovjaga 2016-09-24 18:46:48 UTC
*** Bug 101840 has been marked as a duplicate of this bug. ***
Comment 9 Telesto 2017-11-16 21:25:19 UTC
Repro with:
Version: 6.0.0.0.alpha1+
Build ID: b3f1d199a72ce87cb65ddaeac922564f57da6a4d
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-11-06_00:10:53
Locale: nl-NL (nl_NL); Calc: CL
Comment 10 QA Administrators 2018-11-17 03:46:08 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug